### Method

# FwupdPlugin Efivars get_data

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_efivars_get_data (
      FuEfivars* self,
      const gchar* guid,
      const gchar* name,
      guint8** data,
      gsize* data_sz,
      FuEfiVariableAttrs* attr,
      GError** error
    )

#### Description [src]

Gets the data from a UEFI variable in NVRAM.

Available since: 2.0.0

#### Parameters

`guid`

  Type: `const gchar*`

  Globally unique identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  Variable name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `guint8**`

  Data to set.

  The data is owned by the caller of the method.

`data_sz`

  Type: `gsize*`

  Size of data.

  The data is owned by the caller of the method.

`attr`

  Type: `FuEfiVariableAttrs`

  `FuEfiVariableAttrs`, e.g. `FU_EFI_VARIABLE_ATTR_NON_VOLATILE`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.